<template>
  <popup ref="popup" @close="$emit('close')">
    <div class="contact-success-panel">
      <div class="content">
        <div class="close-button">
          <close-button @click="() => $refs.popup && $refs.popup.close()" />
        </div>
        <div class="panel-body">
          <panel-restaurant :restaurant="restaurant" />
          <div class="hello-message-wrapper">
            <HelloMember />
          </div>
          <div class="success-icon"></div>
          <div class="panel-title">{{ $t("preorderPickup.title") }}</div>
          <div class="desc">{{ $t("preorderPickup.desc") }}</div>
          <button class="submit-button" @click="$emit('close')">
            {{ $t("preorderPickup.back") }}
          </button>
        </div>
      </div>
    </div>
  </popup>
</template>

<script>
import moment from "moment";
import Popup from "../Popup";
import PanelRestaurant from "./PanelRestaurant";
import CloseButton from "@/components/CloseButton";
import HelloMember from "../../components/HelloMember";
import { STATUS_CANCELED_BY_CUSTOMER } from "@/models/preorder";

export default {
  components: {
    Popup,
    CloseButton,
    HelloMember,
    PanelRestaurant
  },

  props: {
    order: {
      type: Object
    },
    restaurant: {
      type: Object
    }
  },

  computed: {
    isCancelled() {
      return this.order.status === STATUS_CANCELED_BY_CUSTOMER;
    },

    reservationTime() {
      return moment(this.order.reservationTime);
    }
  }
};
</script>

<style lang="scss" scoped>
.contact-success-panel {
  position: relative;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  margin: 0 auto;
  user-select: none;
  text-align: center;
  box-sizing: border-box;

  @include media-breakpoint-up(md) {
    &::after {
      content: "";
      display: inline-block;
      height: 100%;
      width: 0;
      vertical-align: middle;
    }
  }
}

.content {
  position: absolute;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  background: $color-white;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
  box-sizing: border-box;
  overflow-y: scroll;
  text-align: left;
  padding: 20px;

  @include media-breakpoint-up(md) {
    display: inline-block;
    width: 540px;
    position: relative;
    vertical-align: middle;
    max-height: 90vh;
    padding: 30px;
  }
}

.close-button {
  position: absolute;
  z-index: 1;
  top: 10px;
  right: 10px;
  width: 32px;
  height: 32px;
  vertical-align: middle;

  @include media-breakpoint-up(md) {
    top: 20px;
    right: 20px;
  }
}

.submit-button {
  display: block;
  max-width: 255px;
  height: 48px;
  width: 100%;
  border-radius: 2px;
  background-color: #de0716;
  margin: 92px auto 20px;
  border: none;
  color: #ffffff;
  font-size: 16px;
  cursor: pointer;
}

.desc {
  color: #70778b;
  font-size: 13px;
  text-align: center;
}

.success-icon {
  position: relative;
  width: 68px;
  height: 68px;
  border-radius: 50%;
  background-color: #de0716;
  margin: 40px auto;

  &::after {
    content: "";
    position: absolute;
    width: 20px;
    height: 10px;
    margin-left: -10px;
    margin-top: -5px;
    border: 4px solid #fff;
    border-top: none;
    border-right: none;
    transform: rotateZ(-45deg);
    top: 50%;
    left: 50%;
  }
}

.panel-title {
  font-size: 40px;
  font-weight: 600;
  color: #de0716;
  text-align: center;
  margin-bottom: 20px;
}

.hello-message-wrapper {
  text-align: center;
  margin-top: 40px;
}
</style>
